> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add A User To A Project

Grant a user access to a Project.


## OpenAPI

````yaml POST /api/v1/projects/{id}/add_user
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/projects/{id}/add_user:
    post:
      summary: POST projects add_user
      operationId: post_projects_add_user
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                permissions:
                  items:
                    type: string
                  title: Permissions
                  type: array
                user:
                  properties:
                    __DOLLAR_REF__:
                      example: /api/v1/users/a1b2c3d4e5f67890
                      format: uri
                      pattern: ^/api/v1/users/[a-f0-9]{16}$
                      type: string
                  type: object
              required:
                - permissions
                - user
              title: ProjectAddUserSchema
              type: object
        required: true
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````